/*
 * Class LINKED_QUEUE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_397 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_397 [] = {0xFF01,237,396,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_397 [] = {0xFF01,396,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_397 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_397 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_397 [] = {0xFF01,396,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_397 [] = {0xFF01,396,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_397 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_397 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_397 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_397 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_397 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_397 [] = {396,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_397 [] = {0xFF01,396,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_397 [] = {0xFF01,261,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_397 [] = {0xFF02,400,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_397 [] = {0xFF01,400,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_397 [] = {400,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_397 [] = {400,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_397 [] = {400,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_397 [] = {400,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_397 [] = {0xFF01,396,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_397 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_28_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_397 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_31_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_397 [] = {0xFF01,396,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_34_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_397 [] = {0xFF01,399,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_397 [] = {0xFF01,397,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_37_397 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_38_397 [] = {206,0xFFFF};


static const struct desc_info desc_397[] = {
	{EIF_GENERIC(NULL), 4904, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_397), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_397), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_397), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4912, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_397), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_397), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_397), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_397), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_397), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_397), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_397), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_397), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_397), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_397), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_397), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4192, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_397), 4910, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_397), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_397), 4906, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2048, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1985, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4545, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4193, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2456, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4196, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_397), 2264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2265, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4807, 10},
	{EIF_GENERIC(NULL), 4816, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4797, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_397), 4804, 0},
	{EIF_GENERIC(egt_19_397), 4835, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_397), 4836, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_397), 4837, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_397), 4838, 4},
	{EIF_GENERIC(egt_23_397), 4839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4841, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4808, 9},
	{EIF_NON_GENERIC(0x017F /*191*/), 4807, 10},
	{EIF_NON_GENERIC(0x019D /*206*/), 4805, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 4808, 9},
	{EIF_GENERIC(NULL), 4818, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2262, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_397), 4798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4809, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4815, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2267, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4542, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4907, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4908, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1921, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4903, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4832, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4909, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2049, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2049, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4909, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4824, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4825, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4827, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4828, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4831, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_397), 4834, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4196, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4805, 12},
	{EIF_NON_GENERIC(0x017F /*191*/), 4813, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_397), 4194, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_397), 4197, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4202, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_397), 4194, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_397), 4195, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4184, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4184, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_397), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_397), 4799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_397), 4800, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4811, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4182, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4183, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4187, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_397), 4911, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2261, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2263, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2263, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4905, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2502, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_397), 4798, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4829, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4823, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_397), 4802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4812, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_397), 4803, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_397), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_397), -1, 0xFFFFFFFF},
};
void Init397(void)
{
	IDSC(desc_397, 0, 396);
	IDSC(desc_397 + 1, 1, 396);
	IDSC(desc_397 + 32, 77, 396);
	IDSC(desc_397 + 41, 243, 396);
	IDSC(desc_397 + 47, 55, 396);
	IDSC(desc_397 + 48, 155, 396);
	IDSC(desc_397 + 57, 42, 396);
	IDSC(desc_397 + 69, 294, 396);
	IDSC(desc_397 + 72, 30, 396);
	IDSC(desc_397 + 79, 282, 396);
	IDSC(desc_397 + 88, 237, 396);
	IDSC(desc_397 + 90, 220, 396);
	IDSC(desc_397 + 92, 96, 396);
	IDSC(desc_397 + 100, 229, 396);
	IDSC(desc_397 + 101, 50, 396);
	IDSC(desc_397 + 102, 35, 396);
	IDSC(desc_397 + 103, 256, 396);
	IDSC(desc_397 + 106, 187, 396);
	IDSC(desc_397 + 112, 329, 396);
	IDSC(desc_397 + 126, 225, 396);
	IDSC(desc_397 + 131, 184, 396);
	IDSC(desc_397 + 134, 99, 396);
	IDSC(desc_397 + 136, 172, 396);
}


#ifdef __cplusplus
}
#endif
